#!/usr/bin/env bash

# Usage: ./shell.sh [manifest] [dev-manifest]

GUIX_MANIFEST="${1:-manifest.scm}"
GUIX_MANIFEST_DEV="${2:-manifest-dev.scm}"

export PS1="\W [env]\$ "

exec guix time-machine -C channels.scm -- shell -m $GUIX_MANIFEST -m $GUIX_MANIFEST_DEV -E '^PS1$' -C \
  --expose=/var/run/docker.sock=/var/run/docker.sock \
  --expose=/var/guix/daemon-socket/socket=/var/guix/daemon-socket/socket \
  --expose=/gnu/store=/gnu/store
